gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: don't start if co


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: don't start if config file is missing
Date: Sat, 31 Aug 2019 16:50:56 +0200

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 3131340  don't start if config file is missing
3131340 is described below

commit 313134040b8490f7aa8b3c0faca844d261693dbc
Author: Florian Dold <address@hidden>
AuthorDate: Sat Aug 31 16:50:52 2019 +0200

    don't start if config file is missing
---
 bin/taler-deployment-start | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/bin/taler-deployment-start b/bin/taler-deployment-start
index 73918f1..45f8b2c 100755
--- a/bin/taler-deployment-start
+++ b/bin/taler-deployment-start
@@ -1,5 +1,7 @@
 #!/bin/bash
 
+set -eu
+
 export PATH="$HOME/deployment":$PATH
 
 # might fail if invoked from another script with ulimit
@@ -7,6 +9,13 @@ ulimit -c $((100 * 1024)) &>/dev/null || true
 
 cd $HOME
 
+taler_config_file=$HOME/.config/taler.conf
+
+if [[ ! -e "$taler_config_file" ]]; then
+  echo "taler config file ($taler_config_file) missing"
+  exit 1
+fi
+
 taler-deployment-arm -s
 
 taler-deployment-arm -i taler-exchange

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]